# Function TableActionMethod

- TableActionMethod<Data>(options): ClassDecorator

- #### Type Parameters

  - Data = any

  #### Parameters

  - options: TableActionMethodOptions<any>

  #### Returns ClassDecorator

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:55
- TableActionMethod<Data>(type, checkFunction?): ClassDecorator

- #### Type Parameters

  - Data = any

  #### Parameters

  - type: string
  - `Optional` checkFunction: RowActionCheckFunction<Data>

  #### Returns ClassDecorator

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/decorators.ts:56